

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ __ASeq_6;

#include "ComStateWith.h"
extern OBJ _AComStateWith_Awith(OBJ,OBJ);OBJ __AComStateWith_Awith; /* with */
extern OBJ _AComStateWith_Seg(OBJ,OBJ);OBJ __AComStateWith_Seg; /* => */
extern OBJ _AComStateWith_Aget(OBJ,OBJ);OBJ __AComStateWith_Aget; /* get */
extern OBJ _AComStateWith_S_(OBJ,OBJ);OBJ __AComStateWith_S_; /* ? */
extern OBJ _AComStateWith_AWith(OBJ,OBJ,OBJ);OBJ __AComStateWith_AWith; /* With */
extern OBJ _AComStateWith_AGet(OBJ,OBJ,OBJ);OBJ __AComStateWith_AGet; /* Get */

#include "ComStateWith.hc.c"

extern OBJ _AComStateWith_Awith(OBJ x1,OBJ x2) /* with */
{OBJ r;
 CPCLS(__AComStateWith_AWith,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AComStateWith_AWith,2))(__AComStateWith_AWith,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AComStateWith_Seg(OBJ x1,OBJ x2) /* => */
{OBJ r;
 CPCLS(__AComStateWith_AWith,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AComStateWith_AWith,2))(__AComStateWith_AWith,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AComStateWith_Aget(OBJ x1,OBJ x2) /* get */
{OBJ r;
 CPCLS(__AComStateWith_AGet,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AComStateWith_AGet,2))(__AComStateWith_AGet,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AComStateWith_S_(OBJ x1,OBJ x2) /* ? */
{OBJ r;
 CPCLS(__AComStateWith_AGet,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AComStateWith_AGet,2))(__AComStateWith_AGet,x1,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

init_AComStateWith()
{
 static int visited=0; if(visited) return; visited=1;
 init_ACom();
 init_AComState();
 init_AVoid();
 init_ANat();
 init_ASeq();
 init_AOption();
 init_AComCompose();
 init_ASeqMap();
 CLS(3,_AComStateWith_8,__AComStateWith_8);
 CLS(3,_AComStateWith_7,__AComStateWith_7);
 CLS(2,_AComStateWith_6,__AComStateWith_6);
 CLS(2,_AComStateWith_5,__AComStateWith_5);
 CLS(2,_AComStateWith_4,__AComStateWith_4);
 CLS(2,_AComStateWith_3,__AComStateWith_3);
 init_const_AComStateWith();}

